import postcss from 'postcss';
import { extractComposedClasses } from './utils/extractComposedClasses.js';
import { extractClassNamesFromRule } from './utils/extractClassNamesFromRule.js';
export const extractCssClasses = (cssContent) => {
    const classNames = new Set();
    const root = postcss.parse(cssContent);
    root.walkRules((rule) => {
        const ruleClassNames = extractClassNamesFromRule(rule);
        for (const className of ruleClassNames) {
            classNames.add(className);
        }
    });
    const composedClasses = extractComposedClasses(root);
    for (const composedClassName of composedClasses) {
        classNames.delete(composedClassName);
    }
    return Array.from(classNames);
};
